"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (results) {
  return results.reduce(function (output, result) {
    output += deprecationsFormatter(result.deprecations);
    output += minimalFormatter({
      messages: result.warnings,
      source: result.source
    });
    return output;
  }, "");
};

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

var _formatter = require("postcss-reporter/lib/formatter");

var _formatter2 = _interopRequireDefault(_formatter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var minimalFormatter = (0, _formatter2.default)({
  noIcon: true,
  noPlugin: true
});

function deprecationsFormatter(warnings) {
  if (!warnings || !warnings.length) {
    return "";
  }

  return warnings.reduce(function (output, warning) {
    output += _chalk2.default.yellow.bold(">> Deprecation Warning: ");
    output += _chalk2.default.yellow(warning.text);
    if (warning.reference) {
      output += _chalk2.default.yellow(" See: ");
      output += _chalk2.default.green.underline(warning.reference);
    }
    return output + "\n";
  }, "\n");
}