"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "declaration-block-no-duplicate-properties";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(p) {
    return "Unexpected duplicate property \"" + p + "\"";
  } });

exports.messages = messages;

exports["default"] = function () {
  return function (css, result) {
    css.eachRule(function (rule) {
      var decls = [];
      rule.eachDecl(function (decl) {
        var prop = decl.prop;
        if (decls.indexOf(prop) !== -1) {
          result.warn(messages.rejected(prop), { node: decl });
        }
        decls.push(prop);
      });
    });
  };
};