"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var _declarationCommaSpaceAfter = require("../declaration-comma-space-after");

var ruleName = "declaration-comma-space-before";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expectedBefore: function expectedBefore() {
    return "Expected single space before comma within a declaration value";
  },
  rejectedBefore: function rejectedBefore() {
    return "Unexpected space before comma within a declaration value";
  } });

exports.messages = messages;
/**
 * @param {"always"|"never"} expectation
 */

exports["default"] = function (expectation) {
  var checker = (0, _utils.whitespaceChecker)(" ", expectation, messages);
  return (0, _declarationCommaSpaceAfter.declarationCommaSpaceChecker)(checker.before);
};