"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "eof-newline";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expected: "Expected newline at end of file" });

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    if (root.source.input.css.slice(-1) !== "\n") {
      result.warn(messages.expected, { node: root });
    }
  };
};