"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _balancedMatch = require("balanced-match");

var _balancedMatch2 = _interopRequireDefault(_balancedMatch);

var _valueIndexOf = require("./valueIndexOf");

var _valueIndexOf2 = _interopRequireDefault(_valueIndexOf);

/**
 * Search for functions by name. For every match,
 * invoke the callback, passing the functions
 * "argument(s) string" (whatever is inside the parentheses)
 * as an argument.
 *
 * @param {string} source
 * @param {string} functionName - e.g. calc, color, rgba
 * @param {function} callback - Will be called once for every
 *   matching function found, with the function's "argument(s) string"
 *   as the argument
 */

exports["default"] = function (source, functionName, callback) {
  (0, _valueIndexOf2["default"])({ value: source, char: functionName }, function (index) {
    if (source[index + functionName.length] !== "(") {
      return;
    }
    var parensMatch = (0, _balancedMatch2["default"])("(", ")", source.substr(index));
    callback(parensMatch.body);
  });
};

module.exports = exports["default"];